<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net6.0-windows</TargetFramework>
		<Nullable>enable</Nullable>
		<UseWPF>true</UseWPF>
		<BaseOutputPath>bin\</BaseOutputPath>
		<DebugType>portable</DebugType>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="BPA.Models" Version="1.0.13" />
		<PackageReference Include="Microsoft.Toolkit.Mvvm" Version="7.1.2" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\BPASmartClient.Business\BPASmartClient.Business.csproj" />
		<ProjectReference Include="..\BPASmartClient.CustomResource\BPASmartClient.CustomResource.csproj" />
		<ProjectReference Include="..\BPASmartClient.Device\BPASmartClient.Device.csproj" />
		<ProjectReference Include="..\BPASmartClient.DRCoffee\BPASmartClient.DRCoffee.csproj" />
		<ProjectReference Include="..\BPASmartClient.GSIceCream\BPASmartClient.GSIceCream.csproj" />
		<ProjectReference Include="..\BPASmartClient.Lebai\BPASmartClient.Lebai.csproj" />
		<ProjectReference Include="..\BPASmartClient.Model\BPASmartClient.Model.csproj" />
		<ProjectReference Include="..\BPASmartClient.MORKSM.BK.PLC\BPASmartClient.PLC.csproj" />
	</ItemGroup>

	<ItemGroup>
	  <Compile Update="View\DebugView.xaml.cs">
	    <SubType>Code</SubType>
	  </Compile>
	  <Compile Update="View\Monitor.xaml.cs">
	    <SubType>Code</SubType>
	  </Compile>
	  <Compile Update="View\ParSer.xaml.cs">
	    <SubType>Code</SubType>
	  </Compile>
	</ItemGroup>

	<ItemGroup>
	  <Page Update="View\DebugView.xaml">
	    <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
	    <SubType>Designer</SubType>
	  </Page>
	  <Page Update="View\Monitor.xaml">
	    <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
	    <SubType>Designer</SubType>
	  </Page>
	  <Page Update="View\ParSer.xaml">
	    <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
	    <SubType>Designer</SubType>
	  </Page>
	</ItemGroup>

</Project>
